%bcond_with optional_test

Summary:        Params-Validate Perl module
Name:           perl-Params-Validate
Version:        1.31
Release:        3%{?dist}
License:        Artistic 2.0 and (GPL+ or Artistic)
URL:            https://metacpan.org/release/Params-Validate
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/Params-Validate-%{version}.tar.gz

BuildRequires:  perl-devel perl-generators perl(Carp)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Implementation) >= 0.04
BuildRequires:  perl(Module::Build) >= 0.4227
BuildRequires:  perl(Exporter) perl(warnings)
BuildRequires:  perl(Scalar::Util) >= 1.20
BuildRequires:  perl(vars) perl(XSLoader)
BuildRequires:  perl(base) perl(Devel::Peek)
BuildRequires:  perl(File::Temp) perl(File::Spec)
BuildRequires:  perl(JSON::PP) >= 2.27300
BuildRequires:  perl(lib) perl(overload) perl(strict)
BuildRequires:  perl(Test::Fatal) perl(Test::Requires)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Tie::Array) perl(Tie::Hash)
%if %{with optional_test}
BuildRequires:  perl(Test::Taint) >= 0.02
BuildRequires:  perl(Readonly) >= 1.03
%endif

%description
This module allows you to validate method or function call parameters to 
an arbitrary level of specificity. At the simplest level, it is capable 
of validating the required parameters were given and that no unspecified 
additional parameters were passed in.It is also capable of determining that 
a parameter is of a specific type, that it is an object of a certain class 
hierarchy, that it possesses certain methods, or applying validation 
callbacks to arguments.

%prep
%autosetup -n Params-Validate-%{version}

%build
perl Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%license LICENSE
%doc Changes TODO
%{perl_vendorarch}/Params
%{perl_vendorarch}/auto/Params
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.31-1
- Upgrade to version 1.31

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-6
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.30-5
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 rockerzhu <rockerzhu@tencent.com> - 1.30-2
- Move buildrequires to optional tests

* Wed Aug 17 2022 Wang Zhe <bessiewang@tencent.com> - 1.30-1
- initial build
